/*
 *  - include/t64.h
 *
 *  This file is part of the VC 1541 Emulator.
 *  Copyright (c) 1997 Torsten Paul
 */

#ifndef __t64_h
#define __t64_h

struct t64_tape {
	char  desc[32];
	char  minor;
	char  major;
	short entries;
	short used;
	short _unused;
	char  user_desc[24];
};

struct t64_file {
	unsigned char  entry_type;
	unsigned char  file_type;
	unsigned short start;
	unsigned short end;
	short          _unused1;
	unsigned long  offset;
	long           _unused2;
	char           name[16];
};

typedef struct t64_tape t64_tape_t;
typedef struct t64_file t64_file_t;

#endif /* __t64_h */
