/*
 *  - include/vc1541.h
 *
 *  This file is part of the VC 1541 Emulator.
 *  Copyright (c) 1997 Torsten Paul
 */

#ifndef __vc1541_h
#define __vc1541_h

#define IEC_COMMAND  0xf0
#define IEC_DEVICE   0x0f

#define IEC_UNTALK   0x50
#define IEC_UNLISTEN 0x30
#define IEC_LISTEN   0x20
#define IEC_TALK     0x40

#define IEC_MODE     0xf0
#define IEC_ADDRESS  0x0f

#define IEC_OPEN     0xf0
#define IEC_CLOSE    0xe0
#define IEC_DATA     0x60

#define ATN_BIT		0
#define CLOCK_BIT	1
#define DATA_BIT	3
#define ATN		(1 << ATN_BIT)
#define CLOCK		(1 << CLOCK_BIT)
#define DATA 		(1 << DATA_BIT)

#endif /* __vc1541_h */
